/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-16 17:50:31.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.controller.v1;

import cn.com.qmth.examcloud.app.model.Result;
import cn.com.qmth.examcloud.app.service.UserAuthService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 认证中心业务服务接口
 *
 * @Version v1.0
 */
@RequestMapping("/api/v1")
@RestController
@Api(tags = "认证中心相关接口")
public class UserAuthRestController {
    @Autowired
    private UserAuthService userAuthService;

    @ApiOperation(value = "登录接口")
    @RequestMapping(value = "user/login", method = {RequestMethod.GET, RequestMethod.POST})
    public Result login(@RequestParam String account, @RequestParam String password, @RequestParam String rootOrgId) throws Exception {
        return userAuthService.login(account, password, rootOrgId);
    }

    @ApiOperation(value = "修改密码接口")
    @RequestMapping(value = "user/update/password", method = {RequestMethod.GET, RequestMethod.POST})
    public Result updatePassword(@RequestHeader String key, @RequestHeader String token, @RequestParam String userId, @RequestParam String password) throws Exception {
        return userAuthService.updatePassword(key, token, userId, password);
    }

}